## net.sf.saxon.om
Interface VirtualNode

All Known Implementing Classes:
  NodeWrapper, NodeWrapper, StrippedNode

public interface VirtualNode

This interface is implemented by NodeInfo implementations that act as wrappers on some underlying tree. It provides a method to access the real node underlying the virtual node, for use by applications that need to drill down to the underlying data.

Method Summary
`java.lang.Object` `getUnderlyingNode()` Get the real node undelying this virtual node.

Method Detail

### getUnderlyingNode

    public java.lang.Object getUnderlyingNode()

  Get the real node undelying this virtual node.

  Returns:
    The underlying node. Note that this may itself be a VirtualNode; you may have to drill down through several layers of wrapping.